Ruby master - Feature #5231

Allow to disable versioned paths
08/25/2011 09:53 PM - vo.x (Vit Ondruch)

Status: Closed

Priority: Normal

Assignee: nobu (Nobuyoshi Nakada)
Target version: 2.6

Description

| don't think that the versioned paths are always necessary, when using prefix is enough for most of the cases. Therefore | am
attaching patch which allows to disable them during configuration step.

Note that this patch does not disable the version in include directory name, but this can be achieved by using different configuration
option.

Related issues:
Related to Ruby master - Bug #7808: [PATCH] Allow to install arch specific co... Closed 02/09/2013

History

#1 - 08/25/2011 10:52 PM - nobu (Nobuyoshi Nakada)

- Tracker changed from Bug to Feature

#2 - 08/25/2011 10:52 PM - nobu (Nobuyoshi Nakada)
- Category set to core

- Target version set to 2.0.0

#3 - 09/12/2011 08:51 PM - vo.x (Vit Ondruch)

- File 0002-Disable-versioned-paths-also-for-RI-documentation.patch added

#4 - 12/08/2011 11:40 PM - vo.x (Vit Ondruch)
- File 0001-Allow-to-disable-versioned-paths.patch added

#5 - 12/08/2011 11:41 PM - vo.x (Vit Ondruch)

The recent version of patch fix small issue with RubyGems LOAD_PATH order.

#6 - 03/27/2012 02:49 AM - mame (Yusuke Endoh)
- Status changed from Open to Assigned

- Assignee set to nobu (Nobuyoshi Nakada)

Nobu, what do you think?

Yusuke Endoh mame@tsg.ne.jp

#7 - 11/06/2012 01:45 AM - vo.x (Vit Ondruch)

Ping? Could you accept this patch please?

#8 - 11/24/2012 01:11 PM - mame (Yusuke Endoh)

- Target version changed from 2.0.0 to 2.6

#9 - 02/09/2013 08:24 AM - vo.x (Vit Ondruch)

- Status changed from Assigned to Closed
This is no more relevant. | opened #7807 for leftovers.

Files
https://bugs.ruby-lang.org/issues/7807

0001-Allow-to-disable-versioned-paths.patch 3.55 KB 08/25/2011 vo.x (Vit Ondruch)
0002-Disable-versioned-paths-also-for-RI-documentation.patch 1.59 KB 09/12/2011 vo.x (Vit Ondruch)
0001-Allow-to-disable-versioned-paths.patch 3.52 KB 12/08/2011 vo.x (Vit Ondruch)
